<template>
    <div class="auth-wrapper">
        <div class="inner text-center">
            <font-awesome-icon v-if="component === 'ResetPasswordForm'" class="close-icon" icon="window-close" size="2x" @click="switchComponent('ForgotPasswordForm')"/>

            <img class="logo" src="../../assets/img/lgm_logo.png">
            <h3 class="title mt-4">LGM Industry 4.0 System</h3>
            <hr>

            <component v-bind:is="component" @switchComponent="switchComponent"/>
        </div>
    </div>
</template>

<script>
import LoginForm from "./LoginForm";
import ForgotPasswordForm from "./ForgotPasswordForm";
import ResetPasswordForm from "./ResetPasswordForm";

export default {
    name: 'auth-component',
    components: {
        LoginForm,
        ForgotPasswordForm,
        ResetPasswordForm
    },
    data() {
        return {
            component: "LoginForm"
        }
    },
    methods: {
        switchComponent(component) {
            this.component = component;
        }
    }
}
</script>

<style lang="scss">
@import "../../assets/styles/pages/authentication/auth.scss";
</style>
